import('model.events.gui.GuiClickEvent')
import('model.toolbar.content.sections.section.header.SectionHeaderButton')
import('model.toolbar.content.sections.section.header.CollapseSection')

---@class ExpandSection : SectionHeaderButton
ExpandSection = SectionHeaderButton:extendAs("model.toolbar.content.sections.section.header.Expand")

function ExpandSection:create(parent)
    return Component.create(self, parent, {
        type = "sprite-button",
        sprite = "interface-mod_expand",
        style = "toolbar_content_sections_section_header_expand" })
end

function ExpandSection:new(parent, root)
    return ExpandSection:super(SectionHeaderButton:new(parent, root))
end

function ExpandSection:handleGuiClick(guiClickEvent)
    if guiClickEvent:isLeftClick() then
        self:section():expand()
        self:replaceWith(CollapseSection:create(self:parent()))
    end
end
