import('model.events.gui.GuiClickEvent')
import('model.toolbar.header.ToolbarHeaderButton')

---@class CancelDeleteToolbar : ToolbarHeaderButton
CancelDeleteToolbar = ToolbarHeaderButton:extendAs("model.toolbar.header.CancelDelete")

function CancelDeleteToolbar:create(parent)
    return Component.create(self, parent, {
        type = "sprite-button",
        sprite = "interface-mod_cancel",
        style = "toolbar_header_cancelDelete" })
end

function CancelDeleteToolbar:new(parent, root)
    return CancelDeleteToolbar:super(ToolbarHeaderButton:new(parent, root))
end

function CancelDeleteToolbar:handleGuiClick(guiClickEvent)
    if guiClickEvent:isLeftClick() then
        self:header():cancelDeletion()
    end
end
