import('model.events.gui.GuiClickEvent')
import('model.toolbar.header.ToolbarHeaderButton')

---@class ConfirmDeleteToolbar : ToolbarHeaderButton
ConfirmDeleteToolbar = ToolbarHeaderButton:extendAs("model.toolbar.header.ConfirmDelete")

function ConfirmDeleteToolbar:create(parent)
    return Component.create(self, parent, {
        type = "sprite-button",
        sprite = "interface-mod_confirm",
        style = "toolbar_header_confirmDelete" })
end

function ConfirmDeleteToolbar:new(parent, root)
    return ConfirmDeleteToolbar:super(ToolbarHeaderButton:new(parent, root))
end

function ConfirmDeleteToolbar:handleGuiClick(guiClickEvent)
    if guiClickEvent:isLeftClick() then
        self:toolbar():delete()
    end
end
